Subject: [Fot] Newish Griffin Aluminum radiator for sale

From: Yellow04 via Fot <[email-masked]>
Date: Fri, 8 May 2015 04:44:31 -0400

--=-9KR7aEpEpe6J7e6ZbRZ1

It is a 19X22, the size Jack and Tony Drews suggested all us TR4 guys run. It's not brand new, I mounted it in the new car not realizing the radiator mounts in the wishbone frame cars are higher than the ladder frame cars.  I drilled a couple 1/8 inch holes in the aluminum flanges top and bottom and riveted 1X1 angle iron for mounting brackets. There is one heat cycle in it, 20 minutes as I ran in a new cam. The car never moved with this radiator installed.

Inlet is 1 1/2 inch on top in left (US drivers side), outlet is 1 3/4 inch on bottom of right (US passenger side). Link to Summit here...

http://www.summitracing.com/parts/gri-1-25182-xs

Looking for $150 delivered to the Kastner Cup.

--=-9KR7aEpEpe6J7e6ZbRZ1
Content-Disposition: attachment; filename="griffin.jpg"
Content-Transfer-Encoding: base64

--=-9KR7aEpEpe6J7e6ZbRZ1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive

--=-9KR7aEpEpe6J7e6ZbRZ1--